Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_ATM_Stream Class Reference

Defines the member functions for ACE_ATM_Stream abstraction. More...

`#include <ATM_Stream.h>`

Collaboration diagram for ACE_ATM_Stream:

[legend]
List of all members.

## Public Types
typedef ACE_ATM_Addr | PEER_ADDR
## Public Methods
| ACE_ATM_Stream (void)
| Default constructor. More...
int | open (ACE_ATM_Params params=ACE_ATM_Params())
| open the stream. More...
int | close (void)
| Close down and release resources. More...
ACE_HANDLE | get_handle (void) const
| Get the underlying handle. More...
ATM_Stream & | get_stream (void)
| Get the underlying stream. More...
char * | get_peer_name (void) const
| Get the name of the connected host. More...
int | get_vpi_vci (ACE_UINT16 &vpi, ACE_UINT16 &vci) const
| Get the VPI and VCI of the stream. More...
ssize_t | recv (void *buf, size_t n, int *flags=0) const
| Recv an n byte buffer from the connected transport mechanism. More...
ssize_t | send_n (const void *buf, size_t n, int flags) const
| Send exactly n bytes to the connected transport mechanism. More...
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Private Attributes
ATM_Stream | stream_
| Typedef'd to the appropriate stream mechanism above. More...

## Detailed Description

Defines the member functions for ACE_ATM_Stream abstraction.

## Member Typedef Documentation

typedef ACE_ATM_Addr ACE_ATM_Stream::PEER_ADDR

## Constructor & Destructor Documentation

ACE_INLINE ACE_ATM_Stream::ACE_ATM_Stream | ( | void |  | ) |

| Default constructor.

## Member Function Documentation

ACE_INLINE int ACE_ATM_Stream::close | ( | void |  | ) |

| Close down and release resources.

void ACE_ATM_Stream::dump | ( | void |  | ) | const

| Dump the state of an object.

ACE_HANDLE ACE_ATM_Stream::get_handle | ( | void |  | ) | const

| Get the underlying handle.

char * ACE_ATM_Stream::get_peer_name | ( | void |  | ) | const

| Get the name of the connected host.

ACE_INLINE ATM_Stream & ACE_ATM_Stream::get_stream | ( | void |  | ) |

| Get the underlying stream.

int ACE_ATM_Stream::get_vpi_vci | ( | ACE_UINT16 & | vpi,
|  | ACE_UINT16 & | vci
| ) | const

| Get the VPI and VCI of the stream.

ACE_INLINE int ACE_ATM_Stream::open | ( | ACE_ATM_Params | params = ACE_ATM_Params() | ) |

| open the stream.

ACE_INLINE ssize_t ACE_ATM_Stream::recv | ( | void * | buf,
|  | size_t | n,
|  | int * | flags = 0
| ) | const

| Recv an n byte buffer from the connected transport mechanism.

ACE_INLINE ssize_t ACE_ATM_Stream::send_n | ( | const void * | buf,
|  | size_t | n,
|  | int | flags
| ) | const

| Send exactly n bytes to the connected transport mechanism.

## Member Data Documentation

ACE_ATM_Stream::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

ATM_Stream ACE_ATM_Stream::stream_`[private]`

| Typedef'd to the appropriate stream mechanism above.

The documentation for this class was generated from the following files:

- ATM_Stream.h
- ATM_Stream.cpp
- ATM_Stream.i